import request from '@/utils/request'

// 查询患者宣教信息列表
export function listPropaganda(query) {
    return request({
        url: '/manage/propaganda/list',
        method: 'get',
        params: query
    })
}

// 查询患者宣教信息详细
export function getPropaganda(id) {
    return request({
        url: '/manage/propaganda/' + id,
        method: 'get'
    })
}
// 复制宣教内容
export function copy(id) {
    return request({
        url: '/manage/propaganda/copy/' + id,
        method: 'get'
    })
}

// 审核患者宣教信息
export function updateStatus(data) {
    return request({
        url: '/manage/propaganda/updateStatus',
        method: 'post',
        data: data
    })
}
// 新增患者宣教信息
export function addPropaganda(data) {
    return request({
        url: '/manage/propaganda',
        method: 'post',
        data: data
    })
}

// 修改患者宣教信息
export function updatePropaganda(data) {
    return request({
        url: '/manage/propaganda',
        method: 'put',
        data: data
    })
}

// 删除患者宣教信息
export function delPropaganda(id) {
    return request({
        url: '/manage/propaganda/' + id,
        method: 'delete'
    })
}
// 左侧列表

export function selectNumByDept(query) {
    return request({
        url: '/manage/propaganda/selectNumByDept',
        method: 'get',
        params: query
    })
}
